# README #

This is a sensor driver for the HiTechnic Sensor Multiplexor (SMUX) for use in connection with the leJOS libraries. It essentially appears as if it were a lejos.nxt.SensorPort, but instead of directly reading from the port on the NXT, reads from the port on the SMUX.

This implementation was based on, uses information from, and uses code from the class lejos.nxt.addon.SensorMux, Xander's tutorial on how to use smuxes, Xander's RobotC driver suite and the HiTechnic Website.

Author: Teddy Reiss (@tkr65536)

Version 0.2

Code Revision Tagged "Version 0.2"

###Major Sources:###

[http://www.breigh.com/xander/HTSMUX-Tutorial-LATEST.pdf](http://www.breigh.com/xander/HTSMUX-Tutorial-LATEST.pdf)

[http://botbench.com/driversuite/](http://botbench.com/driversuite/)

[https://www.hitechnic.com/cgi-bin/commerce.cgi?preadd=action&key=NSX2020](https://www.hitechnic.com/cgi-bin/commerce.cgi?preadd=action&key=NSX2020)

[http://www.lejos.org/nxt/nxj/api/index.html](http://www.lejos.org/nxt/nxj/api/index.html)

## Using the Library ##
To Use, download this file Lejos_SMUX_NXT_0-2a.zip, unzip it and add the enclosed jar to your project. The two classes of import are:

org.basementlions.teddy.smux.SMUX

org.basementlions.teddy.smux.SMUXSensorPort

Pass the SMUXSensorPort to the constructor of any supported sensor and it will use the smux. In other words, use SMUXSensorPort like you would use SensorPort.


Javadoc can be found in the download.

##If you need Help or find a Bug.##
If you have questions, please contact me. You are welcome to use this (under the GPL) and I'd love to hear feedback.

If you find a bug, please put it in the issue tracker. The Version is the version of the SMUX Library you found the bug in. The component is (if you know) what part of this project the bug is created by/affects. Please do not set milestones or priorities as they are ways for me to track which bug is going to be fixed for which release. Please include your code as well as steps to reproduce the bug when you report an issue.